 #{extends 'borderNG.html' /}

#{set 'title'}
&{'noneproc.title_pengumuman_tender'} - #{if multipaket} Model B #{/if} #{else} Model A#{/else}
#{/set}
<ol class="breadcrumb">
	<li><a href="@{BerandaCtr.index()}">&{'noneproc.home'}</a></li>
	<li><a href="@{NonEprocCtr.index()}">&{'noneproc.non_eproc'}</a></li>
	<li class="active">&{'noneproc.title_pengumuman_tender'} - #{if multipaket} Model B #{/if} #{else} Model A#{/else}</li>
</ol>

<div class="content">
    #{alert /}
    #{form @NonEprocCtr.simpan(), method:'POST'}
    #{if pgn_lelang.pll_id != null}
    <input type="hidden" name="pgn_lelang.pll_id" value="${pgn_lelang?.pll_id}" />
    <input type="hidden" name="tahapAmbil.tpl_id" value="${tahapAmbil?.tpl_id}" />
    #{/if}
    <div class="form-group row">
        <label class="col-lg-2 control-label">&{'noneproc.metode_pemilihan'}</label>
        <div class="col-lg-10" style="width: 300px;">#{selectMetodeNonEproc 'pgn_lelang.stg_id', value:pgn_lelang?.sub_tag?.stg_id /}</div>
    </div>
    <div class="form-group row">
        <label class="col-sm-2 control-label">&{'tag.klpd'}<span class="warning"> *</span></label>
        <div class="col-sm-10" style="width: 400px;">#{selectInstansi 'instansiId' , value:instansiId /}</div>
    </div>
    <div class="form-group row">
        <label class="col-sm-2 control-label">&{'noneproc.satuan_kerja'}</label>
        <div class="col-sm-10" style="width: 400px;">#{selectSatkerPusat 'pgn_lelang.stk_id', value:pgn_lelang?.satuan_kerja?.stk_id, instansiId:instansiId, tahun:pgn_lelang?.pll_tahun /}</div>
    </div>
    <div class="form-group row">
        <label class="col-sm-2 control-label">&{'noneproc.tahun_anggaran'}</label>
        <div class="col-sm-10" style="width: 100px;">
            #{selectTahun 'pgn_lelang.pll_tahun', value:pgn_lelang?.pll_tahun /}
        </div>
    </div>
    <div class="form-group row">
        <label class="col-sm-2 control-label">&{'noneproc.no'} <span class="warning">*</span></label>
        <div class="col-sm-10 #{errorClass 'pgn_lelang.pll_no_peng'/}" style="width: 300px;">
            <input type="text" name="pgn_lelang.pll_no_peng" value="${pgn_lelang?.pll_no_peng}" class="form-control" placeholder="Nomor Pengumuman"/>
            <span class="help-block">#{error 'pgn_lelang.pll_no_peng' /}</span>
        </div>
    </div>
    <div class="form-group row">
        <label class="col-sm-2 control-label">&{'noneproc.paket'} <span class="warning">*</span></label>
        <div class="col-sm-10">
            <table class="table table-sm" id="tblPaket">
              <tr>
                  <th>&{'noneproc.nama_paket'}</th><th width="150">&{'noneproc.pagu'}</th><th width="150">HPS</th>
                  #{if multipaket} <th>&{'noneproc.bidang'}</th><th> </th> #{/if}
              </tr>
               #{list paketList, as:'paket'}
               #{set i:paket_index - 1 /}
                <input type="hidden" name="paketList[${i}].plp_paket" value="${paket?.plp_paket}" />
              <tr>
                  <td><input type="text" name="paketList[${i}].plp_nama_paket" value="${paket?.plp_nama_paket}" class="form-control"/></td>
                  <td><input type="text" name="paketList[${i}].plp_pagu" value="${paket?.plp_pagu?.rupiah()}" class="form-control"/></td>
                  <td><input type="text" name="paketList[${i}].plp_hps" value="${paket?.plp_hps?.rupiah()}" class="form-control"/></td>
                  #{if multipaket}
                  <td><input type="text" name="paketList[${i}].plp_sub_bidang" value="${paket?.plp_sub_bidang}" class="form-control"/></td>
                  <td>#{if paket_index > 1}<a href="javascript:void(0)" class="removeBtn"><i class="fa fa-trash-o fa-lg"></i></a>#{/if}</td>
                  #{/if}
              </tr>
               #{/list}
            </table>
            #{if multipaket} <button type="button" class="btn btn-default" id="tambahPaket"><i class="fa fa-plus-circle"></i> &{'noneproc.tambah_paket'}</button> #{/if}
        </div>
    </div>
    <div class="form-group row">
        <label class="col-sm-2 control-label">&{'noneproc.syarat'} <span class="warning">*</span></label>
        <div class="col-sm-10 #{errorClass 'pgn_lelang.pll_syarat_umum'/}">
            <textarea name="pgn_lelang.pll_syarat_umum" rows="6" class="form-control" placeholder="Syarat Pengambilan Dokumen">${pgn_lelang?.pll_syarat_umum}</textarea>
            <span class="help-block">#{error 'pgn_lelang.pll_syarat_umum' /}</span>
        </div>
    </div>
    <div class="form-group row">
        <label class="col-sm-2 control-label">&{'noneproc.waktu_pengambilan_doc'}<span class="warning">*</span></label>
        <div class="col-sm-10">
            <div class="input-group" style="width: 400px;">
                <input type="text" id="tanggal_awal" name="tahapAmbil.pll_tgl_awal" value="${tahapAmbil?.pll_tgl_awal?.toDatetimepicker()}"  class="form-control datepicker #{validate 'tahapAmbil.pll_tgl_awal'/}"/>
                <div class="input-group-prepend input-group-append"><span class="input-group-text">s.d.</span></div>
                <input type="text" name="tahapAmbil.pll_tgl_akhir" value="${tahapAmbil?.pll_tgl_akhir?.toDatetimepicker()}" class="form-control datepicker #{validate 'tahapAmbil.pll_tgl_akhir'/}"/>
            </div>
            <div class="invalid-feedback">#{error 'tahapAmbil.pll_tgl_awal' /}</div>
            <div class="invalid-feedback">#{error 'tahapAmbil.pll_tgl_akhir' /}</div>
        </div>
    </div>
    <div class="form-group row">
        <label class="col-sm-2 control-label">&{'noneproc.tempat'}<span class="warning">*</span></label>
        <div class="col-sm-10">
            <input type="text" name="tahapAmbil.tempat" class="form-control" placeholder="&{'noneproc.placeholder_tempat'} value="${tahapAmbil?.tempat}" />
            <div class="invalid-feedback">#{error 'tahapAmbil.tempat' /}</div>
        </div>
    </div>
    <div class="form-group row">
        <label class="col-sm-2 control-label">&{'noneproc.keterangan_lain'}</label>
        <div class="col-sm-10">
            <textarea name="pgn_lelang.pll_ket" cols="70" rows="6" class="form-control" placeholder="alamat UKPBJ, uraian kegiatan, jadwal penjelasan/aanwizjing, dan lain-lain">${pgn_lelang?.pll_ket}</textarea>
        </div>
    </div>
    <div class="form-group row">
        <div class="col-sm-offset-2 col-sm-10">
            #{if pgn_lelang?.pll_status?.draft}
            #{set 'a'}&{'noneproc.satuan_umumkan'}#{/set}
            #{set 'b'}&{'noneproc.simpan_draft'}#{/set}
            #{saveButton name:'simpanUmumkan', title:a/}
            #{saveButton name:'simpanDraft', title:b/}
            #{if pgn_lelang?.pll_id != null}
            <a href="@{NonEprocCtr.view(pgn_lelang?.pll_id)}" class="btn btn-secondary" target="_blank">Preview</a>
            #{deleteButton /}
            #{/if}
            #{/if}
            #{backButton action:@NonEprocCtr.index() /}
        </div>
    </div>
    #{/form}

    <div class="bs-callout bs-callout-warning">
        <span class="warning">*</span> &{'noneproc.data_harusisi'}<br/>
        <span class="warning">**</span> &{'noneproc.isi_contoh '}
    </div>
</div>
#{set 'custom_script'}
<script type="text/javascript">  
var satkerUrl = #{jsRoute @JSONCtr.daftar_satker(':id', ':tahun') /};
$(document).on('change', '#instansi', function(){
  		var value =$(this).val()
        var thn = $("select[name=pgn_lelang.pll_tahun]").val();
   		 $.getJSON(satkerUrl.url({id:value, tahun:thn}), function(data){
	      var options = '';
	      for (var i = 0; i < data.length; i++) {
	        options += '<option value="' + data[i].id + '">' + data[i].label + '</option>';
	      }
	      $('#satker').html(options);
	      $('#satker').selectpicker('refresh');
     })  	
})

$(document).on('click', '.removeBtn', function(){
  $(this).parent().parent().remove()
})
$("#tambahPaket").click(function(){
	console.log('alert')
  var ind = $('#tblPaket tr').length - 1
  var add =  '<tr><td><input type="text" name="paketList['+ind+'].plp_nama_paket"  class="form-control"/></td>'+
      '<td><input type="text" name="paketList['+ind+'].plp_pagu" class="form-control"/></td>'+
      '<td><input type="text" name="paketList['+ind+'].plp_hps" class="form-control"/></td>'+
      '<td><input type="text" name="paketList['+ind+'].plp_sub_bidang" class="form-control"/></td>'+
      '<td><a href="javascript:void(0)" class="removeBtn"><i class="fa fa-trash-o fa-lg"></i></a></td></tr>'
  $("#tblPaket").append(add)
})
</script>
#{/set}
